@use 'SASS:map';
@use '@angular/material' as mat;

@mixin theme($theme) {
    $color-config: mat.get-color-config($theme);
    @if $color-config != null {
        $primary-palette: map.get($color-config, 'primary');
        @include color($primary-palette);
    }
}

@mixin color($primary-palette) {
    .app-main-layout {
        color: mat.get-color-from-palette($primary-palette, darker);
        background-color: mat.get-color-from-palette($primary-palette);
    }
}